## odin 1.0.1

=== DESCRIPTION ===
Package: odin
Title: ODE Generation and Integration
Version: 1.0.1
Authors@R: c(person("Rich", "FitzJohn", role = c("aut", "cre"),
                    email = "rich.fitzjohn@gmail.com"),
             person("Thibaut", "Jombart", role = "ctb"),
             person("Imperial College of Science, Technology and Medicine",
                    role = "cph"))
Description: Generate systems of ordinary differential equations
    (ODE) and integrate them, using a domain specific language
    (DSL).  The DSL uses R's syntax, but compiles to C in order to
    efficiently solve the system.  A solver is not provided, but
    instead interfaces to the packages 'deSolve' and 'dde' are
    generated.  With these, while solving the differential equations,
    no allocations are done and the calculations remain entirely in
    compiled code.  Alternatively, a model can be transpiled to R for
    use in contexts where a C compiler is not present.  After
    compilation, models can be inspected to return information about
    parameters and outputs, or intermediate values after calculations.
    'odin' is not targeted at any particular domain and is suitable
    for any system that can be expressed primarily as mathematical
    expressions.  Additional support is provided for working with
    delays (delay differential equations, DDE), using interpolated
    functions during interpolation, and for integrating quantities
    that represent arrays.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/mrc-ide/odin
BugReports: https://github.com/mrc-ide/odin/issues
Imports: R6, cinterpolate (>= 1.0.0), crayon, deSolve, digest,
        jsonlite, ring
Suggests: dde (>= 1.0.0), jsonvalidate (>= 1.1.0), knitr, rmarkdown,
        testthat
VignetteBuilder: knitr
RoxygenNote: 6.1.1
Encoding: UTF-8
Language: en-GB
NeedsCompilation: no
Packaged: 2019-06-28 16:36:23 UTC; rfitzjoh
Author: Rich FitzJohn [aut, cre],
  Thibaut Jombart [ctb],
  Imperial College of Science, Technology and Medicine [cph]
Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
Repository: CRAN
Date/Publication: 2019-07-02 09:00:03 UTC

=== tests/testthat/pkg/DESCRIPTION ===
Package: %s
Title: Example Odin Models
Version: 0.1.0
Description: Example Odin models.
Depends: R (>= 3.2.3)
License: CC0
Author: Rich FitzJohn
Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
Imports: odin

## odin 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: odin
 Title: ODE Generation and Integration
-Version: 1.0.1
+Version: 1.0.8
 Authors@R: c(person("Rich", "FitzJohn", role = c("aut", "cre"),
                     email = "rich.fitzjohn@gmail.com"),
              person("Thibaut", "Jombart", role = "ctb"),
@@ -36,10 +36,10 @@
 Encoding: UTF-8
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2019-06-28 16:36:23 UTC; rfitzjoh
+Packaged: 2020-10-28 13:51:02 UTC; rfitzjoh
 Author: Rich FitzJohn [aut, cre],
   Thibaut Jombart [ctb],
   Imperial College of Science, Technology and Medicine [cph]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-07-02 09:00:03 UTC
+Date/Publication: 2020-10-28 15:00:06 UTC

## odin 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: odin
 Title: ODE Generation and Integration
-Version: 1.0.8
+Version: 1.2.0
 Authors@R: c(person("Rich", "FitzJohn", role = c("aut", "cre"),
                     email = "rich.fitzjohn@gmail.com"),
              person("Thibaut", "Jombart", role = "ctb"),
@@ -24,22 +24,21 @@
     functions during interpolation, and for integrating quantities
     that represent arrays.
 License: MIT + file LICENSE
-LazyData: true
 URL: https://github.com/mrc-ide/odin
 BugReports: https://github.com/mrc-ide/odin/issues
-Imports: R6, cinterpolate (>= 1.0.0), crayon, deSolve, digest,
-        jsonlite, ring
-Suggests: dde (>= 1.0.0), jsonvalidate (>= 1.1.0), knitr, rmarkdown,
-        testthat
+Imports: R6, cinterpolate (>= 1.0.0), deSolve, digest, glue, jsonlite,
+        ring, withr
+Suggests: dde (>= 1.0.0), jsonvalidate (>= 1.1.0), knitr, mockery,
+        pkgbuild, pkgload, rlang, rmarkdown, testthat
 VignetteBuilder: knitr
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2020-10-28 13:51:02 UTC; rfitzjoh
+Packaged: 2021-07-07 07:24:32 UTC; rfitzjoh
 Author: Rich FitzJohn [aut, cre],
   Thibaut Jombart [ctb],
   Imperial College of Science, Technology and Medicine [cph]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-10-28 15:00:06 UTC
+Date/Publication: 2021-07-07 09:20:02 UTC

## odin 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: odin
 Title: ODE Generation and Integration
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: c(person("Rich", "FitzJohn", role = c("aut", "cre"),
                     email = "rich.fitzjohn@gmail.com"),
              person("Thibaut", "Jombart", role = "ctb"),
@@ -35,10 +35,10 @@
 Encoding: UTF-8
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2021-07-07 07:24:32 UTC; rfitzjoh
+Packaged: 2021-07-14 07:48:40 UTC; rfitzjoh
 Author: Rich FitzJohn [aut, cre],
   Thibaut Jombart [ctb],
   Imperial College of Science, Technology and Medicine [cph]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-07-07 09:20:02 UTC
+Date/Publication: 2021-07-14 12:30:09 UTC

## odin 1.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: odin
 Title: ODE Generation and Integration
-Version: 1.2.1
+Version: 1.2.4
 Authors@R: c(person("Rich", "FitzJohn", role = c("aut", "cre"),
                     email = "rich.fitzjohn@gmail.com"),
              person("Thibaut", "Jombart", role = "ctb"),
@@ -35,10 +35,10 @@
 Encoding: UTF-8
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2021-07-14 07:48:40 UTC; rfitzjoh
+Packaged: 2022-04-28 08:14:08 UTC; rich
 Author: Rich FitzJohn [aut, cre],
   Thibaut Jombart [ctb],
   Imperial College of Science, Technology and Medicine [cph]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-07-14 12:30:09 UTC
+Date/Publication: 2022-04-28 08:50:02 UTC

## odin 1.2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: odin
 Title: ODE Generation and Integration
-Version: 1.2.4
+Version: 1.2.5
 Authors@R: c(person("Rich", "FitzJohn", role = c("aut", "cre"),
                     email = "rich.fitzjohn@gmail.com"),
              person("Thibaut", "Jombart", role = "ctb"),
@@ -35,10 +35,10 @@
 Encoding: UTF-8
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2022-04-28 08:14:08 UTC; rich
+Packaged: 2023-10-02 11:35:14 UTC; rfitzjoh
 Author: Rich FitzJohn [aut, cre],
   Thibaut Jombart [ctb],
   Imperial College of Science, Technology and Medicine [cph]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-04-28 08:50:02 UTC
+Date/Publication: 2023-10-02 13:40:11 UTC

## odin 1.2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: odin
 Title: ODE Generation and Integration
-Version: 1.2.5
+Version: 1.2.6
 Authors@R: c(person("Rich", "FitzJohn", role = c("aut", "cre"),
                     email = "rich.fitzjohn@gmail.com"),
              person("Thibaut", "Jombart", role = "ctb"),
@@ -35,10 +35,10 @@
 Encoding: UTF-8
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2023-10-02 11:35:14 UTC; rfitzjoh
+Packaged: 2024-09-23 09:28:20 UTC; rfitzjoh
 Author: Rich FitzJohn [aut, cre],
   Thibaut Jombart [ctb],
   Imperial College of Science, Technology and Medicine [cph]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-10-02 13:40:11 UTC
+Date/Publication: 2024-09-23 16:10:02 UTC

## odin 1.2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: odin
 Title: ODE Generation and Integration
-Version: 1.2.6
+Version: 1.2.7
 Authors@R: c(person("Rich", "FitzJohn", role = c("aut", "cre"),
                     email = "rich.fitzjohn@gmail.com"),
              person("Thibaut", "Jombart", role = "ctb"),
@@ -35,10 +35,10 @@
 Encoding: UTF-8
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2024-09-23 09:28:20 UTC; rfitzjoh
+Packaged: 2025-02-07 10:17:12 UTC; rfitzjoh
 Author: Rich FitzJohn [aut, cre],
   Thibaut Jombart [ctb],
   Imperial College of Science, Technology and Medicine [cph]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-09-23 16:10:02 UTC
+Date/Publication: 2025-02-07 14:00:06 UTC

## odin 1.8.1

=== debian/changelog ===
odin (1.8.1-3ubuntu1) natty; urgency=low

  * fix-FTBFS-binutils-gold.patch: fix FTBFS wih binutils-gold, by adding
    missing libs to LDADD in several Makefile.in

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sun, 05 Dec 2010 07:58:52 +0000

odin (1.8.1-3) unstable; urgency=low

  * Adjust NIfTI build-dependency to libnifti-dev.
  * Bumped Standards-version, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 21 Jul 2010 19:35:42 -0400

odin (1.8.1-2) unstable; urgency=low

  * Switch maintainer to NeuroDebian team.
  * Bumped Standards-version to 3.8.4 -- no changes necessary.
  * No longer depend on atlas, but use libblas-dev.
  * Switch from CDBS to debhelper's dh.
  * Convert the dpkg source package format 3.0 (quilt). Also split Debian
    diff into patch series.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 22 May 2010 17:57:51 +0200

odin (1.8.1-1) unstable; urgency=low

  * New upstream release (skipped 1.8.0).
    - Fixes FTBFS (Closes: #562392).
  * Added missing include directive (Closes: #553708). Thanks to Martin
    Michlmayr.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 10 Jan 2010 14:24:41 -0500

odin (1.8.0-1) unstable; urgency=low

  * Initial release (Closes: #410318).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 30 Sep 2009 21:16:51 -0400

=== debian/control ===
Source: odin
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgsl0-dev, libblitz0-dev (>= 0.8) | libblitz-dev, liboil0.3-dev | liboil-dev, libnifti-dev, libvtk5-dev, libdcmtk1-dev, libpng12-dev | libpng-dev, libqt4-dev, libqwt5-qt4-dev, dcmtk, libblas-dev, libvia-dev
Standards-Version: 3.9.0
Homepage: http://od1n.sourceforge.net
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/odin.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/odin.git
XS-DM-Upload-Allowed: yes


Package: odin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libodin-dev, libgsl0-dev, libc6-dev | libc-dev, g++, libblas-dev | libatlas-base-dev, xterm | x-terminal-emulator, gdb, mitools (= ${binary:Version})
Recommends: liboil0.3-dev | liboil-dev, libdcmtk1-dev
Description: develop, simulate and run magnetic resonance sequences
 ODIN is a framework for magnetic resonance imaging (MRI).
 It covers the whole toolchain of MRI, from low-level data acquisition
 to image reconstruction. In particular, it aims at rapid prototyping
 of MRI sequences. The sequences can be programmed using a high-level,
 object oriented, C++ programming interface.  It provides advanced
 sequence analysis tools, such as interactive plotting of k-space
 trajectories, a user interface for a fast compile-link-test cycle
 and a powerful MRI simulator which supports different virtual samples.
 For fast and flexible image reconstruction, ODIN contains a highly
 customizable, multi-threaded data-processing framework.


Package: mitools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dcmtk
Recommends: grace
Description: view, convert and perform basic maths with medical image datasets
 The three contained tools micalc, miconv and miview are handy command-line
 utilities for converting, manipulating and viewing medical image data in
 various formats (DICOM, NIfTI, PNG, binary data, ...).


Package: libodin-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: static libraries and header for ODIN sequences
 This package provides static libraries and headers of the ODIN libraries
 odindata, adinpara, odinqt, odinseq and tjutils. They are required for
 building magnetic resonance imaging (MRI) sequences with ODIN.

=== debian/rules ===
#!/usr/bin/make -f

# one ring to rule them all ...
%:
	dh $@

# need to provide QTDIR to choose between Qt3 and Qt4
override_dh_auto_configure:
	dh_auto_configure -- \
    --with-qt-dir="/usr/share/qt4" \
    --libdir="/usr/lib/odin" \
    --with-pic \
    --enable-only-standalone-plugin \
    --enable-static \
    --enable-shared \
    --enable-oilsupport \
    --enable-vistasupport \
    --enable-niftisupport \
    --enable-vtksupport \
    --enable-dcmtksupport \
    --enable-pngsupport

# do not install unittest suite
override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/tmp/usr/bin/odintestsuite

# there is also a 'test' target that doesn't do the right thing
override_dh_auto_test:
	$(MAKE) check

# shared libs in odin package a only for private use
override_dh_makeshlibs:
	dh_makeshlibs -n

# let dh_shlibdeps find the other private libs
# but it does not seem to work though...
override_dh_shlibdeps:
	dh_shlibdeps -l $(CURDIR)/debian/odin/usr/lib/odin

override_dh_clean:
	dh_clean
	find $(CURDIR) -name '*.loT' -delete

## odin 1.8.3

=== debian/changelog ===
odin (1.8.3-1) unstable; urgency=low

  * New upstream release.
  * Change build-dependency from libblas-dev to libatlas-base-dev to ensure
    availability of lapack (Closes: #614447).
  * Updated maintainer email.
  * Bumped Standards-version to 3.9.1, no changes necessary.
  * Explicitly links against all required libs to address changes in the
    behavior of Debian's linker.
  * Update debian/copyright.

 -- Michael Hanke <mih@debian.org>  Sun, 13 Mar 2011 20:15:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: odin
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgsl0-dev, libblitz0-dev (>= 0.8) | libblitz-dev, liboil0.3-dev | liboil-dev, libnifti-dev, libvtk5-dev, libdcmtk1-dev, libpng12-dev | libpng-dev, libqt4-dev, libqwt5-qt4-dev, dcmtk, libblas-dev, libvia-dev
-Standards-Version: 3.9.0
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgsl0-dev, libblitz0-dev (>= 0.8) | libblitz-dev, liboil0.3-dev | liboil-dev, libnifti-dev, libvtk5-dev, libdcmtk1-dev, libpng12-dev | libpng-dev, libqt4-dev, libqwt5-qt4-dev, dcmtk, libatlas-base-dev, libvia-dev
+Standards-Version: 3.9.1
 Homepage: http://od1n.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/odin.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/odin.git

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,9 @@
     --enable-niftisupport \
     --enable-vtksupport \
     --enable-dcmtksupport \
-    --enable-pngsupport
+    --enable-pngsupport \
+    --with-extra-build-ldflags="-lvtkGraphics -lvtkFiltering -lQtGui -lQtCore" \
+    --with-extra-build-cxxflags="-I/usr/include/vtk-5.4 -I/usr/include/vtk-5.6"
 
 # do not install unittest suite
 override_dh_auto_install:

## odin 1.8.4

=== debian/changelog ===
odin (1.8.4-1ubuntu2) precise; urgency=low

  * No Change rebuild for vtk transition.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 21 Dec 2011 20:13:59 +0530

odin (1.8.4-1ubuntu1) precise; urgency=low

  * Fix build failure with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Dec 2011 01:10:00 +0100

odin (1.8.4-1) unstable; urgency=low

  * New upstream release. Now compatible with DCMTK 3.6 (Closes: #623145).
  * Added patch to fix GSL 1.5 related problem, causing a unittest to
    segfault.
  * Add link libraries for a unresolved dependencies of DCMTK 3.6. This is a
    workaround, not a solution (see #628153).
  * Bumped Standards-version to 3.9.2, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Fri, 16 Dec 2011 15:26:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: odin
 Section: science
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgsl0-dev, libblitz0-dev (>= 0.8) | libblitz-dev, liboil0.3-dev | liboil-dev, libnifti-dev, libvtk5-dev, libdcmtk1-dev, libpng12-dev | libpng-dev, libqt4-dev, libqwt5-qt4-dev, dcmtk, libatlas-base-dev, libvia-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgsl0-dev, libblitz0-dev (>= 0.8) | libblitz-dev, liboil0.3-dev | liboil-dev, libnifti-dev, libvtk5-dev, libdcmtk2-dev | libdcmtk1-dev, libpng12-dev | libpng-dev, libqt4-dev, libqwt5-qt4-dev, dcmtk, libatlas-base-dev, libvia-dev
+Standards-Version: 3.9.2
 Homepage: http://od1n.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/odin.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/odin.git

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
     --enable-vtksupport \
     --enable-dcmtksupport \
     --enable-pngsupport \
-    --with-extra-build-ldflags="-lvtkGraphics -lvtkFiltering -lQtGui -lQtCore" \
-    --with-extra-build-cxxflags="-I/usr/include/vtk-5.4 -I/usr/include/vtk-5.6"
+    --with-extra-build-ldflags="-lvtkGraphics -lvtkFiltering -lQtGui -lQtCore -lofstd -loflog -lpthread -lz" \
+    --with-extra-build-cxxflags="-I/usr/include/vtk-5.4 -I/usr/include/vtk-5.6 -I/usr/include/vtk-5.8"
 
 # do not install unittest suite
 override_dh_auto_install:

## odin 1.8.5

=== debian/changelog ===
odin (1.8.5-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build failure with ld --as-needed.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 05 Jun 2012 12:31:28 +0530

odin (1.8.5-2) unstable; urgency=low

  * Amend patch for GCC 4.7 compatibility with another missing header
    include. Thanks to Samuel Thibault for the report and Thies Jochimsen
    for the upstream fix (Closes: #673217).

 -- Michael Hanke <mih@debian.org>  Fri, 18 May 2012 09:39:29 +0200

odin (1.8.5-1) unstable; urgency=low

  * New upstream release.
    - Writing of multiple VTK files for dynamic data sets
    - Storing protocol together with z-maps in miview fMRI
    - Added dialect 'tcourse' to ASCII fileio
    - SeqSimMonteCarlo now supports multi-threaded simulation
    - Added gamma variate fitting function
    - Added filter steps 'quantilmask' and 'resample'
    - Filter steps 'minip', 'maxip' and 'proj' now with direction argument
    - Added option 'weightmask' to micalc
    - Added reco step 'qcspike' to detect spikes in signal
    - Added reco steps 'driftcalc/driftcorr' for correction of field drift
  * Bumped Standards-version to 3.9.3, no changes necessary.
  * No longer depends on liboil.
  * Remove obsolete patches (missing_header, gsl_roundoff) -- merged upstream.
  * Added patch from upstream SVN to fix missing header for GCC 4.7
    (Closes: #667307). Thanks to Matthias Klose for the report.

 -- Michael Hanke <mih@debian.org>  Sat, 07 Apr 2012 09:40:10 +0200

odin (1.8.4-2) unstable; urgency=low

  * Disable Vista data format support. Upstream will do this in 1.8.5, but it
    eases the libvia transition in Debian right now.
  * Removed DM-flag from debian/control -- no longer needed.

 -- Michael Hanke <mih@debian.org>  Mon, 05 Mar 2012 09:57:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,22 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgsl0-dev, libblitz0-dev (>= 0.8) | libblitz-dev, liboil0.3-dev | liboil-dev, libnifti-dev, libvtk5-dev, libdcmtk2-dev | libdcmtk1-dev, libpng12-dev | libpng-dev, libqt4-dev, libqwt5-qt4-dev, dcmtk, libatlas-base-dev, libvia-dev
-Standards-Version: 3.9.2
+Uploaders: Michael Hanke <mih@debian.org>,
+ Yaroslav Halchenko <debian@onerussian.com>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgsl0-dev,
+ libblitz0-dev (>= 0.8) | libblitz-dev, libnifti-dev, libvtk5-dev,
+ libdcmtk2-dev | libdcmtk1-dev, libpng12-dev | libpng-dev, libqt4-dev,
+ libqwt5-qt4-dev, dcmtk, libatlas-base-dev
+Standards-Version: 3.9.3
 Homepage: http://od1n.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/odin.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/odin.git
-XS-DM-Upload-Allowed: yes
-
 
 Package: odin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libodin-dev, libgsl0-dev, libc6-dev | libc-dev, g++, libblas-dev | libatlas-base-dev, xterm | x-terminal-emulator, gdb, mitools (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libodin-dev, libgsl0-dev,
+ libc6-dev | libc-dev, g++, libblas-dev | libatlas-base-dev,
+ xterm | x-terminal-emulator, gdb, mitools (= ${binary:Version})
 Recommends: liboil0.3-dev | liboil-dev, libdcmtk1-dev
 Description: develop, simulate and run magnetic resonance sequences
  ODIN is a framework for magnetic resonance imaging (MRI).

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,6 @@
     --enable-only-standalone-plugin \
     --enable-static \
     --enable-shared \
-    --enable-oilsupport \
-    --enable-vistasupport \
     --enable-niftisupport \
     --enable-vtksupport \
     --enable-dcmtksupport \

## odin 1.8.8

=== debian/changelog ===
odin (1.8.8-2ubuntu1) xenial; urgency=medium

  * debian/control: Build-depend on libdcmtk5 instead of libdcmtk2.
  * debian/rules: Update DCMDICTPATH for libdcmtk5.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 08 Dec 2015 00:33:38 -0500

odin (1.8.8-2) unstable; urgency=medium

  * Switch to using dh-autoreconf. Thanks to Bas Couwenberg for the nudge.
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Courtesy Bas Couwenberg (Closes: #805819).
  * Add patch for GSL 2 support. Courtesy Bas Couwenberg.
  * Adjust include paths for VTK 5.10.
  * Use libdcmtk-dev as primary build dependency, keep old package names
    as alternatives (Closes: #804572).
  * Likewise use libpng-dev as primary build-dependency, but keep libpng12-dev
    as an alternative (Closes: #662451).
  * Add patch to be able to build with ld --as-needed. Courtesy of Bhavani
    Shankar R (Closes: #770061).
  * Add explicit dependency to libdcmtk2 (no longer pull in via -dev package)
    to have dicom.dic available for the test suite.

 -- Michael Hanke <mih@debian.org>  Sun, 06 Dec 2015 08:53:29 +0100

odin (1.8.8-1) unstable; urgency=medium

  * New upstream release.
    - Supports blitz 0.10 (Closes: #680804).
  * Removed all patches -- merged upstream or obsolete.
  * Build using the default Debian build flags, hence enabled
    hardening.
  * Bumped Standards-version to 3.9.5, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Thu, 09 Oct 2014 09:30:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,37 @@
 XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>,
  Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgsl0-dev,
- libblitz0-dev (>= 0.8) | libblitz-dev, libnifti-dev, libvtk5-dev,
- libdcmtk2-dev | libdcmtk1-dev, libpng12-dev | libpng-dev, libqt4-dev,
- libqwt5-qt4-dev, dcmtk, libatlas-base-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~),
+ dh-autoreconf,
+ autotools-dev,
+ libgsl-dev | libgsl0-dev,
+ libblitz0-dev (>= 0.8) | libblitz-dev,
+ libnifti-dev,
+ libvtk5-dev,
+ libdcmtk-dev | libdcmtk2-dev | libdcmtk1-dev,
+ libdcmtk5,
+ libpng-dev | libpng12-dev,
+ libqt4-dev,
+ libqwt5-qt4-dev,
+ dcmtk,
+ libatlas-base-dev
+Standards-Version: 3.9.5
 Homepage: http://od1n.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/odin.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/odin.git
 
+
 Package: odin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libodin-dev, libgsl0-dev,
- libc6-dev | libc-dev, g++, libblas-dev | libatlas-base-dev,
- xterm | x-terminal-emulator, gdb, mitools (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libodin-dev,
+ libgsl-dev | libgsl0-dev,
+ libc6-dev | libc-dev,
+ g++,
+ libblas-dev | libatlas-base-dev,
+ xterm | x-terminal-emulator,
+ gdb,
+ mitools (= ${binary:Version})
 Recommends: liboil0.3-dev | liboil-dev, libdcmtk1-dev
 Description: develop, simulate and run magnetic resonance sequences
  ODIN is a framework for magnetic resonance imaging (MRI).

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,11 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # one ring to rule them all ...
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 # need to provide QTDIR to choose between Qt3 and Qt4
 override_dh_auto_configure:
@@ -17,8 +20,8 @@
     --enable-vtksupport \
     --enable-dcmtksupport \
     --enable-pngsupport \
-    --with-extra-build-ldflags="-lvtkGraphics -lvtkFiltering -lQtGui -lQtCore -lofstd -loflog -lpthread -lz" \
-    --with-extra-build-cxxflags="-I/usr/include/vtk-5.4 -I/usr/include/vtk-5.6 -I/usr/include/vtk-5.8"
+    --with-extra-build-ldflags="-lvtkCommon -lvtkGraphics -lvtkFiltering -lQtGui -lQtCore -lofstd -loflog -lpthread -lz" \
+    --with-extra-build-cxxflags="-I/usr/include/vtk-5.4 -I/usr/include/vtk-5.6 -I/usr/include/vtk-5.8 -I/usr/include/vtk-5.10"
 
 # do not install unittest suite
 override_dh_auto_install:
@@ -27,7 +30,7 @@
 
 # there is also a 'test' target that doesn't do the right thing
 override_dh_auto_test:
-	$(MAKE) check
+	DCMDICTPATH=/usr/share/libdcmtk5/dicom.dic $(MAKE) check
 
 # shared libs in odin package a only for private use
 override_dh_makeshlibs:

=== debian/watch ===
version=3
http://sf.net/od1n/odin-([\d\.]*)\.tar\.gz

## odin 2.0.2

=== debian/changelog ===
odin (2.0.2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert a little bit of the previous gcc-6-fix2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Jul 2016 13:58:23 +0200

odin (2.0.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/gcc-6-fix.patch:
    - upstream fix [r8688] for gcc-6 build failure:
  * debian/patches/gcc-6-fix2.patch:
    - fix for some other gcc-6 build failures:
      (Closes: #831181)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jul 2016 19:34:55 +0200

odin (2.0.2-0.1) unstable; urgency=medium

  * New upstream release, patch refresh
  * Non-maintainer upload.
  * Drop vtk6.3.patch, upstream.
  * d/rules fix testsuite with new dcmtk (Closes: #829607)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Jul 2016 17:35:09 +0200

odin (2.0.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Gert Wollny ]
  * Build conflicts against qt5, to make sure
    it isn't picked up (Closes: #821133)
  * debian/patches/vtk6.3.patch: make the package build
    against vtk 6.3 (Closes: #821134)

  [ Thies Jochimsen ]
  * Add libhdf5-dev and libismrmrd-dev to build-dependencies,
    enabling ISMRMRD format (Closes: #821162).

  [ Gianfranco Costamagna ]
  * Enable ISMRMRD only where available (exclude armhf)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Apr 2016 22:54:54 +0200

odin (2.0.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    - vtk6 compatible.
  * Switch to vtk6 and drop hacks for includes file.
    (Closes: #798170)
  * drop gsl2 patch: upstream
  * drop old libblitz-dev and libgsl0-dev alternative dependencies
  * Bump debhelper and compat level to 9.
  * Bump std-version to 3.9.8
  * Fix insecure VCS uri.
  * Drop liboil* recommend, not in unstable/stretch anymore. 
  * refresh ld-as-needed.patch
  * Update copyright years.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Apr 2016 12:00:53 +0200

odin (1.8.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix dcmtk runtime dependencies
  [ Mattia Rizzolo ]
  * Fix dcmtk dependencies (Closes: #810945)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Apr 2016 11:40:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,41 @@
 Source: odin
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>,
  Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
  dh-autoreconf,
- autotools-dev,
- libgsl-dev | libgsl0-dev,
- libblitz0-dev (>= 0.8) | libblitz-dev,
+ libatlas-base-dev,
+ libblitz0-dev (>= 0.8),
+ libdcmtk-dev,
+ libgsl-dev,
+ libhdf5-dev [!armhf],
+ libismrmrd-dev [!armhf],
  libnifti-dev,
- libvtk5-dev,
- libdcmtk-dev | libdcmtk2-dev | libdcmtk1-dev,
- libdcmtk5,
- libpng-dev | libpng12-dev,
+ libpng-dev,
  libqt4-dev,
  libqwt5-qt4-dev,
- dcmtk,
- libatlas-base-dev
-Standards-Version: 3.9.5
+ libvtk6-dev
+Build-Conflicts: qtbase5-dev
+Standards-Version: 3.9.8
 Homepage: http://od1n.sourceforge.net
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/odin.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/odin.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-exppsy/odin.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-exppsy/odin.git
 
 
 Package: odin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libodin-dev,
- libgsl-dev | libgsl0-dev,
+ libgsl-dev,
  libc6-dev | libc-dev,
  g++,
  libblas-dev | libatlas-base-dev,
  xterm | x-terminal-emulator,
  gdb,
  mitools (= ${binary:Version})
-Recommends: liboil0.3-dev | liboil-dev, libdcmtk1-dev
+Recommends: libdcmtk-dev
 Description: develop, simulate and run magnetic resonance sequences
  ODIN is a framework for magnetic resonance imaging (MRI).
  It covers the whole toolchain of MRI, from low-level data acquisition

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,6 @@
     --enable-vtksupport \
     --enable-dcmtksupport \
     --enable-pngsupport \
-    --with-extra-build-ldflags="-lvtkCommon -lvtkGraphics -lvtkFiltering -lQtGui -lQtCore -lofstd -loflog -lpthread -lz" \
-    --with-extra-build-cxxflags="-I/usr/include/vtk-5.4 -I/usr/include/vtk-5.6 -I/usr/include/vtk-5.8 -I/usr/include/vtk-5.10"
 
 # do not install unittest suite
 override_dh_auto_install:
@@ -30,7 +28,7 @@
 
 # there is also a 'test' target that doesn't do the right thing
 override_dh_auto_test:
-	DCMDICTPATH=/usr/share/libdcmtk5/dicom.dic $(MAKE) check
+	DCMDICTPATH=/usr/share/libdcmtk8/dicom.dic $(MAKE) check
 
 # shared libs in odin package a only for private use
 override_dh_makeshlibs:

## odin 2.0.3

=== debian/changelog ===
odin (2.0.3-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:21:21 +0100

odin (2.0.3-2) unstable; urgency=medium

  * Team upload.
  * Switch to Qt5
    Closes: #875065
  * debhelper-compat 9
  * Standards-Version: 4.4.1
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Archive.
  * DEP5

 -- Andreas Tille <tille@debian.org>  Wed, 20 Nov 2019 07:16:26 +0100

odin (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * debhelper 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove duplicated file debian/menu
  * Build-Depends: help2man (since this is used as test)
  * Re-activate patch to skip some tests that are failing for some
    unknown reason in a pbuilder chroot
  * Fix FTBFS with dcmtk >= 3.6.1~20170228-2 (thanks for the patch
    to Steve Langasek <steve.langasek@canonical.com>)
    Closes: #865955
  * libodin-dev: Depends: sensible-utils
  * hardening=+all
  * Build-Depends: s/libqwt5-qt4-dev/libqwt-dev/
    Closes: #909363

 -- Andreas Tille <tille@debian.org>  Sat, 19 Jan 2019 18:18:18 +0100

odin (2.0.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
    - drop gcc patches, upstream
  * New upstream release (Closes: #835746)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Mar 2017 19:40:49 +0100

=== debian/control ===
Source: odin
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libatlas-base-dev,
               libblitz0-dev,
               libdcmtk-dev,
               libgsl-dev,
               libhdf5-dev [!armhf],
               libismrmrd-dev [!armhf],
               libnifti-dev,
               libpng-dev,
               qt5-default,
               qtbase5-dev,
               libqwt-qt5-dev,
               libvtk6-dev,
               help2man
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/neurodebian-team/odin
Vcs-Git: https://salsa.debian.org/neurodebian-team/odin.git
Homepage: http://od1n.sourceforge.net

Package: odin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libodin-dev,
         libgsl-dev,
         libc6-dev | libc-dev,
         g++,
         libblas-dev | libatlas-base-dev,
         xterm | x-terminal-emulator,
         gdb,
         mitools (= ${binary:Version})
Recommends: libdcmtk-dev
Description: develop, simulate and run magnetic resonance sequences
 ODIN is a framework for magnetic resonance imaging (MRI).
 It covers the whole toolchain of MRI, from low-level data acquisition
 to image reconstruction. In particular, it aims at rapid prototyping
 of MRI sequences. The sequences can be programmed using a high-level,
 object oriented, C++ programming interface.  It provides advanced
 sequence analysis tools, such as interactive plotting of k-space
 trajectories, a user interface for a fast compile-link-test cycle
 and a powerful MRI simulator which supports different virtual samples.
 For fast and flexible image reconstruction, ODIN contains a highly
 customizable, multi-threaded data-processing framework.

Package: mitools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dcmtk
Recommends: grace
Description: view, convert and perform basic maths with medical image datasets
 The three contained tools micalc, miconv and miview are handy command-line
 utilities for converting, manipulating and viewing medical image data in
 various formats (DICOM, NIfTI, PNG, binary data, ...).

Package: libodin-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         sensible-utils
Description: static libraries and header for ODIN sequences
 This package provides static libraries and headers of the ODIN libraries
 odindata, adinpara, odinqt, odinseq and tjutils. They are required for
 building magnetic resonance imaging (MRI) sequences with ODIN.

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,15 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# one ring to rule them all ...
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+DCMMAJOR := $(shell readlink -f /usr/lib/libdcmimgle.so | cut -f3 -d.)
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
-# need to provide QTDIR to choose between Qt3 and Qt4
 override_dh_auto_configure:
 	dh_auto_configure -- \
-    --with-qt-dir="/usr/share/qt4" \
     --libdir="/usr/lib/odin" \
     --with-pic \
     --enable-only-standalone-plugin \
@@ -28,7 +29,15 @@
 
 # there is also a 'test' target that doesn't do the right thing
 override_dh_auto_test:
-	DCMDICTPATH=/usr/share/libdcmtk8/dicom.dic $(MAKE) check
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	export DCMDICTPATH=`find /usr/share -name dicom.dic` ; \
+	if [ "$${DCMDICTPATH}" = "" ] ; then \
+	    echo "No package contains dicom.dic ... test failed" ; \
+	    exit 1 ; \
+	else \
+	    $(MAKE) check ; \
+	fi
+endif
 
 # shared libs in odin package a only for private use
 override_dh_makeshlibs:

=== debian/watch ===
version=3
https://sf.net/od1n/odin-([\d\.]*)\.tar\.gz

## odin 2.0.4

=== debian/changelog ===
odin (2.0.4-3) unstable; urgency=medium

  * Team upload.
  * Configure build to target the libdir /usr/lib/$(DEB_HOST_MULTIARCH)/odin,
    and adjust install scripts to the new staging location: allows executables 
    provided by packages mitools and odin to find their private shared objects.
    Closes: #985577

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 20 Mar 2021 13:49:44 +0100

odin (2.0.4-2) unstable; urgency=medium

  * Team upload.
  * Added mitools and qtchooser as dependency of libodin-dev; fixes broken
    symbolic links on libodin-dev installation.
    Closes: #985508

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Fri, 19 Mar 2021 20:02:31 +0100

odin (2.0.4-1) unstable; urgency=medium

  * Team upload.
  * Take over package into Debian Med team maintenance
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Refer to specific version of license GPL-2+.
  * watch file standard 4 (routine-update)
  * Use dh-exec to install in Multiarch locations
  * Enable dh_missing --fail-missing
  * Fix typo in d/copyright
  * Remove debian/menu file
  * Remove outdated debian/TODO

 -- Andreas Tille <tille@debian.org>  Tue, 15 Dec 2020 21:11:56 +0100

odin (2.0.4-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove qt5-default from build depends (Closes: #972166).
    - Export QT_SELECT := qt5 in order to let qtchooser use the right Qt version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 Oct 2020 14:58:22 -0300

odin (2.0.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fixed the build on i386. (Closes: #953064)

 -- Adrian Bunk <bunk@debian.org>  Wed, 20 May 2020 23:12:09 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: odin
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libatlas-base-dev,
                libblitz0-dev,
                libdcmtk-dev,
@@ -13,15 +13,16 @@
                libismrmrd-dev [!armhf],
                libnifti-dev,
                libpng-dev,
-               qt5-default,
                qtbase5-dev,
                libqwt-qt5-dev,
                libvtk6-dev,
-               help2man
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/neurodebian-team/odin
-Vcs-Git: https://salsa.debian.org/neurodebian-team/odin.git
+               help2man,
+               dh-exec
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/med-team/odin
+Vcs-Git: https://salsa.debian.org/med-team/odin.git
 Homepage: http://od1n.sourceforge.net
+Rules-Requires-Root: no
 
 Package: odin
 Architecture: any
@@ -64,6 +65,8 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         mitools,
+         qtchooser,
          sensible-utils
 Description: static libraries and header for ODIN sequences
  This package provides static libraries and headers of the ODIN libraries

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 include /usr/share/dpkg/buildflags.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+export QT_SELECT := qt5
 
 DCMMAJOR := $(shell readlink -f /usr/lib/libdcmimgle.so | cut -f3 -d.)
 
@@ -12,7 +14,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-    --libdir="/usr/lib/odin" \
+    --libdir="/usr/lib/$(DEB_HOST_MULTIARCH)/odin" \
     --with-pic \
     --enable-only-standalone-plugin \
     --enable-static \
@@ -46,8 +48,12 @@
 # let dh_shlibdeps find the other private libs
 # but it does not seem to work though...
 override_dh_shlibdeps:
-	dh_shlibdeps -l $(CURDIR)/debian/odin/usr/lib/odin
+	dh_shlibdeps -l $(CURDIR)/debian/mitools/usr/lib/$(DEB_HOST_MULTIARCH)/odin
 
 override_dh_clean:
 	dh_clean
 	find $(CURDIR) -name '*.loT' -delete
+
+override_dh_install:
+	dh_install
+	find debian/tmp \( -name "*.desktop" -o -name "*.la" \) -delete

## odin 2.0.5

=== debian/changelog ===
odin (2.0.5-8build1) resolute; urgency=medium

  * Rebuild against latest ismrmrd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 17:30:25 -0500

odin (2.0.5-8) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with VTK 9.5 (Closes: #1117517)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 16 Oct 2025 10:29:32 -0400

odin (2.0.5-7) unstable; urgency=medium

  * Revert "d/rules: remove config.h" (Closes: #1079274)
  * d/rules: protect PACKAGE_NAME macro definition in tjutils/config.h.
  * d/libodin-dev.lintian-overrides: new: flag PACKAGE_NAME in config.h.
    The issue flagged by lintian is mitigated by change to config.h.
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 Aug 2024 12:05:23 +0200

odin (2.0.5-6) unstable; urgency=medium

  * Team upload.
  * [65d4b30] Fix VTK9.3 compilation. (Closes: #1072824)
  * [912f77c] Minor fix in install-files
  * [bf37cb2] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Tue, 11 Jun 2024 06:11:40 +0200

odin (2.0.5-5) unstable; urgency=medium

  * Team upload.
  * Remove libatlas-base-dev also from alternative Depends

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jan 2024 17:19:28 +0100

odin (2.0.5-4) unstable; urgency=medium

  * Team upload.
  * Do not depend on atlas
    Closes: #1056680
  * Standards-Version: 4.6.2 (routine-update)
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2024 18:03:35 +0100

odin (2.0.5-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dcmtk 3.6.7
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 10:33:10 +0200

odin (2.0.5-2) unstable; urgency=medium

  * [df9ba48] Fix compilation with vtk9_9.1

 -- Anton Gladky <gladk@debian.org>  Tue, 25 Jan 2022 19:28:39 +0100

odin (2.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * d/tests/: add autopkgtest (Closes: 985580)
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add desktop-entries.patch: remove Encoding field.
  * d/rules: remove config.h to address lintian warning about possible autoconf
    incompatibility (tag: package-name-defined-in-config-h).
  * Add typos.patch: fix spelling errors caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Sat, 04 Dec 2021 18:52:28 +0100

odin (2.0.4-4) unstable; urgency=medium

  * Team upload.
  * Switch to vtk 9

 -- Anton Gladky <gladk@debian.org>  Fri, 22 Oct 2021 18:39:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -57,3 +57,10 @@
 override_dh_install:
 	dh_install
 	find debian/tmp \( -name "*.desktop" -o -name "*.la" \) -delete
+	# Protect PACKAGE_NAME from multiple definitions in case the
+	# macro collides with other projects declaring it the same way.
+	# This works around #733598 without breaking upstream
+	# expectation that this file is available to end users (as
+	# pointed out in #1079274).
+	sed -i 's/#define \(PACKAGE_NAME\) ".*"/#ifndef \1\n&\n#endif/' \
+		$(CURDIR)/debian/libodin-dev/usr/include/tjutils/config.h

=== debian/watch ===
version=4
https://sf.net/od1n/odin-([\d\.]*)\.tar\.gz
